Skip to main content
GET
Returns a list of all client sessions.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

client_session_id
string

ID of the client session that you want to retrieve.

connect_webview_id
string | null

ID of the Connect Webview for which you want to retrieve client sessions. Specify null to retrieve client sessions that are not associated with a Connect Webview.

customer_key
string

Customer key for which you want to list client sessions.

limit
integer
default:50000

Maximum number of records to return per page.

page_cursor
string | null

Identifies the specific page of results to return, obtained from the previous page's next_page_cursor.

user_identifier_key
string

Your user ID for the user by which you want to filter client sessions.

user_identity_id
string | null

ID of the user identity for which you want to retrieve client sessions. Specify null to retrieve client sessions that are not associated with a user identity.

without_user_identifier_key
boolean

Indicates whether to retrieve only client sessions without associated user identifier keys.

Response

200 - application/json

OK

client_sessions
object[]
required
pagination
object
required

Information about the current page of results.